My Oracle Support Banner

VPD Error ORA-28113 ORA-28125 After Upgrade From 11.2.0.4 to 12.2.0.1 (Doc ID 2488035.1)

Last updated on JANUARY 26, 2020

Applies to:

Oracle Database - Enterprise Edition - Version 12.2.0.1 and later
Information in this document applies to any platform.

Symptoms

We upgraded an oracle database (FA database) from 11.2.0.4 to the latest main
label RDBMS_MAIN_LINUX.X64_150911 with DBUA.
the upgrade looks good, don't see any error/exception.
before upgrade, all FA flows work.
after upgrade, some flow don't work any more.
from the trace file, see below error:

ORA-28113: policy predicate has error
28113. 00000 - "policy predicate has error"
*Cause: Policy function generates invalid predicate.
*Action: Review the trace file for detailed error information.
Error at Line: 24 Column: 15

The same sql statement works before the upgrade.

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.